ServerEvents.recipes(GregTechApocalypse => {
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/armor_steel_helmet' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/armor_steel_chestplate' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/armor_steel_leggings' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/armor_steel_boots' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/armor_faraday_helmet' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/armor_faraday_chestplate' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/armor_faraday_leggings' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/armor_faraday_boots' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/sword_steel' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/axe_steel' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/pickaxe_steel' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/shovel_steel' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/hoe_steel' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/toolupgrade_revolver_bayonet' })
  GregTechApocalypse.shaped('immersiveengineering:toolupgrade_revolver_bayonet', ['AB', 'CA'], {
    A: 'immersiveengineering:wire_copper',
    B: 'gtceu:steel_sword',
    C: 'gtceu:steel_ingot'
  })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/stick_iron' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/stick_steel' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/dynamo' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/watermill' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/waterwheel_segment' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/windmill' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/windmill_sail' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/windmill_blade' })
  GregTechApocalypse.remove({ id: 'immersivepetroleum:gas_generator' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/thermoelectric_generator' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/blueprint_bannerpatterns' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/blueprint_components' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/blueprint_bullets' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/blueprint_molds' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:cokeoven/coke' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:cokeoven/charcoal' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:cokeoven/coke_block' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:alloysmelter/brass' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:alloysmelter/insulating_glass' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:alloysmelter/rose_gold' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:alloysmelter/constantan' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:alloysmelter/invar' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:alloysmelter/electrum' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:alloysmelter/bronze' })
  GregTechApocalypse.remove({ id: 'scguns:immersiveengineering/hammercrushing/hammercrushing_anthralite' })
  GregTechApocalypse.remove({ id: 'scguns:immersiveengineering/hammercrushing/hammercrushing_anthralite_2' })
  GregTechApocalypse.remove({ id: 'scguns:immersiveengineering/hammercrushing/hammercrushing_anthralite_raw' })
  GregTechApocalypse.remove({ id: 'scguns:immersiveengineering/hammercrushing/hammercrushing_sulfur' })
  GregTechApocalypse.remove({ id: 'scguns:immersiveengineering/hammercrushing/hammercrushing_sulfur_chunk' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/hammercrushing_silver' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/hammercrushing_cobalt' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/hammercrushing_uranium' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/hammercrushing_aluminum' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/hammercrushing_iron' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/hammercrushing_gold' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/hammercrushing_copper' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/hammercrushing_zinc' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/hammercrushing_nickel' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/hammercrushing_lead' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/hammercrushing_tin' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/hammercrushing_platinum' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/raw_hammercrushing_copper' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/raw_hammercrushing_platinum' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/raw_hammercrushing_zinc' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/raw_hammercrushing_silver' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/raw_hammercrushing_nickel' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/raw_hammercrushing_gold' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/raw_hammercrushing_iron' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/raw_hammercrushing_tin' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/raw_hammercrushing_lead' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/raw_hammercrushing_uranium' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/raw_hammercrushing_aluminum' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/raw_hammercrushing_cobalt' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/plate_silver_hammering' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/plate_aluminum_hammering' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/plate_electrum_hammering' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/plate_iron_hammering' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/plate_desh_hammering' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/plate_gold_hammering' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/plate_calorite_hammering' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/plate_steel_hammering' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/plate_ostrum_hammering' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/plate_uranium_hammering' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/plate_copper_hammering' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/plate_nickel_hammering' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/plate_lead_hammering' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/plate_constantan_hammering' })
  GregTechApocalypse.remove({ id: 'immersiveengineering:crafting/treated_wood_horizontal' })

  GregTechApocalypse.shaped('immersiveengineering:creosote_bucket',['A'],{A:'gtceu:creosote_bucket'}).replaceIngredient("gtceu:creosote_bucket", Item.empty)
  GregTechApocalypse.shaped('immersiveengineering:coal_coke', ['s'], { s: 'gtceu:coke_gem' })
  GregTechApocalypse.shaped('immersiveengineering:treated_wood_horizontal', ['s'], { s: 'gtceu:treated_wood_planks' })

})